XScreenSaver(1)

NAME
glslideshow - slideshow of images using smooth zooming and fades

SYNOPSIS
B glslideshow [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-no-fade] [-zoom number] [-fps]

DESCRIPTION
Loads a random sequence of images and smoothly scans and zooms around in each, fading from pan to pan. This program requires a good video card capable of supporting large textures. The images are obtained from xscreensaver-getimage(1). You can set the directory from which images are loaded with xscreensaver-demo(1).

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-duration seconds
    How long to display each image before loading a new one. Default 30 seconds.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-fade | -no-fade
    Whether to fade between pans.

-zoom number
    Amount to zoom and pan as a percentage. Default: 75, meaning that 75% or more of each image will always be visible.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver-demo(1) xscreensaver-getimage(1) xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Mike Oliphant. Framework based on flipscreen3d, Copyright © 2001 Ben Buxton. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Mike Oliphant and Jamie Zawinski.